Subject: bug#19857: BUG with head "-n-0"

From: Pádraig Brady <[email-masked]>
Date: Fri, 13 Feb 2015 17:23:15 +0000

unarchive 16329
forcemerge 19857 16329
stop

On 13/02/15 16:21, matshyeq wrote:
> Hi All,
> 
> I think I've found an issue when head is called with -n-0 parameter
> It should return whole file but only seem to work for files with newline character at the end.
> For those that don't have it - it doesn't return anything.
> 
> BTW. I know -n-0 might be nonsensical but in my case simply pass the number of rows to skip in a variable.

Fixed in version 8.23
http://git.savannah.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=476ce370

thanks,
Pádraig.